2019-10-19 00:01 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002576FSSCPphysicspublic2012-01-23 15:01
ReporterZacam 
Assigned ToValathil 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target Version3.6.14Fixed in Version3.6.14 
Summary0002576: Beam Whack application causes only forward pointing velocity increase
DescriptionWhen being hit by a beam, the impact whack accelerates the player/ship/object in a forward facing vector, regardless of the angle being struck at by the beam.
Steps To ReproduceI used Colossal Battle (1 hostile and 1 friendly colossus, beams only).

Any beam fire from the hostile one, if I oriented myself through the whack properly, would propel me forwards to wherever I was facing, instead of along the direction of the beam.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0013086

Valathil (developer)

Fix committed to trunk@8272.

~0013124

chief1983 (administrator)

Fix committed to fs2_open_3_6_14@8340.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-01-20 23:06 Zacam New Issue
2012-01-20 23:07 Valathil Changeset attached => fs2open trunk r8272
2012-01-20 23:07 Valathil Note Added: 0013086
2012-01-20 23:07 Valathil Assigned To => Valathil
2012-01-20 23:07 Valathil Status new => resolved
2012-01-20 23:07 Valathil Resolution open => fixed
2012-01-23 00:00 chief1983 Changeset attached => fs2open fs2_open_3_6_14 r8340
2012-01-23 00:00 chief1983 Note Added: 0013124
2012-01-23 00:00 chief1983 Assigned To Valathil => chief1983
2012-01-23 15:01 chief1983 Assigned To chief1983 => Valathil
2012-01-23 15:01 chief1983 Fixed in Version => 3.6.14
+Issue History